Bug 24959 - Fix id/label pairs in saved reports table
Summary: Fix id/label pairs in saved reports table
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 24886
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-23 20:04 UTC by Owen Leonard
Modified: 2020-04-03 22:26 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24959: Fix id/label pairs in saved reports table (2.52 KB, patch)
2020-03-23 20:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24959: Fix id/label pairs in saved reports table (2.59 KB, patch)
2020-03-24 11:04 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24541: Purge old messages (3.91 KB, patch)
2020-03-24 11:18 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 24959: Fix id/label pairs in saved reports table (2.66 KB, patch)
2020-03-25 20:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-03-23 20:04:53 UTC
In the table of saved reports the number in the 'ID' column is wrapped in a <label> tag, but clicking it doesn't check the corresponding checkbox because the "for" attribute doesn't match the ID of the checkbox.
Comment 1 Owen Leonard 2020-03-23 20:15:24 UTC
Created attachment 101495 [details] [review]
Bug 24959: Fix id/label pairs in saved reports table

This patch adds a unique id attribute to each checkbox in the table of
saved reports. Also updated is the corresponding <label>'s "for"
attribute so that clicking the report id will toggle the checkbox.

To reproduce, go to Reports -> Use saved and click a number in the ID
column. Nothing happens.

After applying the patch clicking the number should check or uncheck the
corresponding checkbox.
Comment 2 Bernardo Gonzalez Kriegel 2020-03-24 11:04:31 UTC
Created attachment 101538 [details] [review]
Bug 24959: Fix id/label pairs in saved reports table

This patch adds a unique id attribute to each checkbox in the table of
saved reports. Also updated is the corresponding <label>'s "for"
attribute so that clicking the report id will toggle the checkbox.

To reproduce, go to Reports -> Use saved and click a number in the ID
column. Nothing happens.

After applying the patch clicking the number should check or uncheck the
corresponding checkbox.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works Ok, no errors.
Comment 3 Bernardo Gonzalez Kriegel 2020-03-24 11:18:44 UTC
Created attachment 101540 [details] [review]
Bug 24541: Purge old messages

misc/cronjobs/cleanup_database.pl provides some database cleanup.

This patch adds cleanup for messages table.

Test plan :
- Count messages : select count(*),date(message_date) from  messages group by date(message_date);
- Run cleanup : misc/cronjobs/cleanup_database.pl -v --messages 365
- Recount messages

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works Ok, no errors.
Comment 4 Bernardo Gonzalez Kriegel 2020-03-24 11:19:51 UTC
Comment on attachment 101540 [details] [review]
Bug 24541: Purge old messages

Sorry, wrong bug
Comment 5 Katrin Fischer 2020-03-25 20:23:05 UTC
Created attachment 101767 [details] [review]
Bug 24959: Fix id/label pairs in saved reports table

This patch adds a unique id attribute to each checkbox in the table of
saved reports. Also updated is the corresponding <label>'s "for"
attribute so that clicking the report id will toggle the checkbox.

To reproduce, go to Reports -> Use saved and click a number in the ID
column. Nothing happens.

After applying the patch clicking the number should check or uncheck the
corresponding checkbox.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works Ok, no errors.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2020-03-26 11:40:39 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-03 22:26:56 UTC
not backported due to dependencies